Subject: BER.pm conflicts

From: Jeff Weisberg <[email-masked]>
Date: Mon, 23 Aug 2004 10:33:18 -0400 (EDT)

| After finally sitting down to fix a few months old problem, I have found
| that when using both Argus and Cricket under mod_perl on the same server,
| the included BER.pm from Argus confuses Cricket.
| 
| Interestingly I didnt realize a BER.pm was included with argus, until a
| Google for BER.pm+mod_perl :)
[...]

| I have removed Argus's BER.pm and it is currently using the BER.pm that
| ships with the SNMP package from CPAN.
| 
| both Argus and Cricket seem happy.
| 
| Have I broken anything about Argus?

yes. if you are doing any SNMP tests, they are probably
not working correctly.

| Why is and old BER.pm shipped with Argus vs it being a dependancy ?

the BER.pm that comes with argus contains significant modifications
from the CPAN BER.pm

in the current development version of argus, this file was renamed
to Argus::BER.pm to prevent this conflict.

	--j